package cn.com.ctop.finance.payment.service;

import cn.com.ctop.finance.payment.entity.FinancePaymentRechargeApplication;
import com.alibaba.fastjson.JSONObject;
import com.baomidou.mybatisplus.extension.service.IService;
import org.jeecg.common.api.vo.Result;

import java.util.List;

/**
 * 充值申请表
 *
 * @author jeecg-boot
 * 2023-04-11
 * @version V1.0
 */
public interface IFinancePaymentRechargeApplicationService extends IService<FinancePaymentRechargeApplication> {

    Result<Object> queryPageList(FinancePaymentRechargeApplication recharge, Integer pageNo, Integer pageSize);

    Result<Object> queryRechargeAccountDetails(Long rechargeId);

    Result add(JSONObject data);

    Result<Object> edit(JSONObject data) throws InterruptedException;

    Result<Object> updateStatus(JSONObject data);

    Result<Object> updateTemporaryFiles(JSONObject data);

    Result<Object> queryAuditProcess(Long id);

    List<JSONObject> queryAccountList(FinancePaymentRechargeApplication recharge);
}
